package co.yixiang.yshop.module.distributor.convert.distributorwageslog;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.distributor.controller.admin.distributorwageslog.vo.*;
import co.yixiang.yshop.module.distributor.dal.dataobject.distributorwageslog.DistributorWagesLogDO;

/**
 * 分销商佣金记录 Convert
 *
 * @author admin
 */
@Mapper
public interface DistributorWagesLogConvert {

    DistributorWagesLogConvert INSTANCE = Mappers.getMapper(DistributorWagesLogConvert.class);

    DistributorWagesLogDO convert(DistributorWagesLogCreateReqVO bean);

    DistributorWagesLogDO convert(DistributorWagesLogUpdateReqVO bean);

    DistributorWagesLogRespVO convert(DistributorWagesLogDO bean);

    List<DistributorWagesLogRespVO> convertList(List<DistributorWagesLogDO> list);

    PageResult<DistributorWagesLogRespVO> convertPage(PageResult<DistributorWagesLogDO> page);

    List<DistributorWagesLogExcelVO> convertList02(List<DistributorWagesLogDO> list);

}
